%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-common

%{?!_licensedir:%global license %%doc}

Name:           openstack-tripleo-common
Summary:        Python library for code used by TripleO projects.
Version:        2.0.0
Release:        8%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://pypi.python.org/pypi/tripleo-common
Source0:        https://pypi.python.org/packages/source/t/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

# patches_base=+2
Patch0001: 0001-StackAction-parameter-to-distinguish-top-level-creat.patch
Patch0002: 0002-Updated-from-global-requirements.patch
Patch0003: 0003-Fix-interactive-update-race-condition.patch
Patch0004: 0004-Allow-updating-of-nodes-in-baremetal-import.patch
Patch0005: 0005-Ignore-changes-to-images-in-nova-servers.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires: python-heatclient
Requires: python-oslo-config >= 2:2.3.0
Requires: python-oslo-log >= 1.8.0
Requires: instack-undercloud


Provides:  tripleo-common = %{version}-%{release}
Provides:  tripleo-common

%prep
%autosetup -n %{upstream_name}-%{version} -S git
rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%description
Python library for code used by TripleO projects.

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_common*
%exclude %{python2_sitelib}/tripleo_common/test*
%{_prefix}/lib/heat/undercloud_heat_plugins
%{_bindir}/upgrade-non-controller.sh
%{_bindir}/tripleo-build-images



%changelog
* Wed Aug 03 2016 Mike Burns <mburns@redhat.com> 2.0.0-8
- Ignore changes to images in nova servers rhbz#1354627 rhbz#1362612

* Thu Jul 28 2016 Mike Burns <mburns@redhat.com> 2.0.0-7
- Allow updating of nodes in baremetal import

* Thu Jun 16 2016 Mike Burns <mburns@redhat.com> 2.0.0-6
- Fix interactive update race condition
- Updated from global requirements

* Thu May 12 2016 Mike Burns <mburns@redhat.com> 2.0.0-5
- add instack-undercloud dependency

* Wed May 11 2016 Mike Burns <mburns@redhat.com> 2.0.0-3
- StackAction parameter to distinguish top-level create vs. update

* Wed May 11 2016 Mike Burns <mburns@redhat.com> 2.0.0-1
- Update to 2.0.0

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.1.1-1
- Update to 0.1.1

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.0.2-8
- Adds a simple overcloud tenant vm ping test to tripleo.sh

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.0.2-7
- Adds a simple overcloud tenant vm ping test to tripleo.sh
- Update the container flag
- Deploy Docker compute role with tripleo.sh
- Remove stable/liberty pin
- Pin stable/liberty repo
- tripleo.sh add option to delete overcloud
- Don't install git-hg
- [stable/liberty]Fix node group name when deleting a node
- Fix cherry-pick comments
- Set origin/stable/liberty to the REF we want to build
- tripleo.sh set priorities for stable repos

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.0.2-6
- Update to 0.0.2

* Tue Dec 08 2015 James Slagle <jslagle@redhat.com> 0.0.2-5
- Set a default timeout for 240 minutes for Heat Updates

* Wed Dec 02 2015 Ben Nemec <bnemec@redhat.com> - 0.0.2-4
- Switch to upstream stable/liberty

* Thu Nov 05 2015 Mike Burns <mburns@redhat.com> - 0.0.1-3
- Fix Provides

* Mon Oct 19 2015 John Trowbridge <trown@redhat.com> - 0.0.1-2
- Use a source tarball for a git hash that has passed delorean CI for liberty release

* Wed Apr 15 2015 Jan Provaznik <jprovazn@redhat.com> - 0.0.1-1
- Initial package build

